/* 
ORANGE COLOR #e67e22
 */


/**********************************************
GLOBALS
***********************************************/

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {
    background-color: #fff;
    color: #555;
    font-family: 'Lato', 'Arial', sans-serif;
    font-size: 20px;
    font-weight: 300;
    text-rendering: optimizeLegibility;
}


/**********************************************
REUSABLE COMPOMENTS
***********************************************/

.row {
    max-width: 1170px;
    margin: 0 auto;
}

section {
    padding: 80px 0;
}

.box {
    padding: 1%;
}

/*************HEDADINGS***************/

h1,
h2,
h3 {
    font-weight: 300;
    text-transform: uppercase;
}

h1 {
    color: #fff;
    font-size: 240%;
    word-spacing: 4px;
    margin: 0 0 20px 0;
    letter-spacing: 1px;
}

h2 {
    font-size: 180%;
    word-spacing: 2px;
    text-align: center;
    margin: 0 0 30px 0;
    letter-spacing: 1px;
}

h3 {
    font-size: 110%;
    margin: 0 0 15px 0;
}

h2:after {
    display: block;
    height: 2px;
    width: 100px;
    background-color: #e67e22;
    content: "";
    margin: 30px auto 0 auto;
}

/***********PARAGRAPHS**************/

.long-copy {
    line-height: 145%;
    width: 70%;
    margin-left: 15%;
}

.box p {
    font-size: 90%;
    line-height: 145%;
}

/**************ICONS****************/

.icon-big {
    display: block;
    font-size: 350%;
    color: #e67e22;
    margin: 0 0 10px 0;
}

.icon-small {
    display: inline-block;
    color: #e67e22;
    width: 30px;
    font-size: 120%;
    text-align: center;

    /* secrets to align text and icons */
    line-height: 120%;
    vertical-align: middle;
    margin: -5px 10px 0 0;
}

/**************LINKS****************/

a:link,
a:visited {
    text-decoration: none;
    color: #e67e22;
    border-bottom: 1px solid #e67e22;
    padding: 1px;
    transition: 0.2s;
}

a:hover,
a:active {
    color: #555;
    border-bottom: 1px solid transparent;
}

/*************BUTTONS***************/

.btn:link,
.btn:visited,
input[type=submit] {
    display: inline-block;
    padding: 10px 30px;
    font-weight: 300;
    text-decoration: none;
    border-radius: 200px;
    transition: 0.4s;
}

.btn.btn-full:link,
.btn.btn-full:visited,
input[type=submit] {
    background-color: #e67e22;
    border: 1px solid #e67e22;
    color: #fff;
    margin: 0 15px 0 0;
}

.btn.btn-ghost:link,
.btn.btn-ghost:visited {
    border: 1px solid #e67e22;
    color: #e67e22;
}

.btn:hover,
.btn:active,
input[type=submit]:hover,
input[type=submit]:active {
    /* czemu to nie działa? :/ */
    background-color: #cf6d17;
}

.btn.btn-full:hover,
.btn.btn-full:active {
    /* dodałam więc tutaj... */
    background-color: #cf6d17;
    border: 1px solid #cf6d17;
}

.btn.btn-ghost:hover,
.btn.btn-ghost:active {
    border: 1px solid #cf6d17;
    color: #fff;
}


/**********************************************
HEADER
***********************************************/


header {
    background-image: -webkit-linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)), url(img/hero.jpg);
    background-image: linear-gradient(rgba(0, 0, 0, 0.7), rgba(0, 0, 0, 0.7)) url(img/hero.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    height: 100vh;
    background-attachment: fixed;
}

.hero-text-box {
    position: absolute;
    width: 1140px;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}

.logo {
    height: 100px;
    width: auto;
    float: left;
    margin: 20px 0 0 0;
}

.main-nav {
    float: right;
    list-style: none;
    margin: 55px 0 0 0;
}

.main-nav li {
    display: inline-block;
    margin-left: 40px;

}

.main-nav li:first-child {
    margin-left: 0;
}

.main-nav li a:link,
.main-nav li a:visited {
    color: #fff;
    text-decoration: none;
    text-transform: uppercase;
    font-size: 90%;
    border-bottom: 2px solid transparent;
    transition: 0.4s;
    padding: 8px 0;
}

.main-nav li a:hover,
.main-nav li a:active {
    border-bottom: 2px solid #e67e22;
}

/**********************************************
FEATURES
***********************************************/

.features .long-copy {
    margin-bottom: 30px;
}


/**********************************************
MEALS
***********************************************/

.meals {
    padding: 0;
}

.meals-showcase {
    list-style: none;
    width: 100%;
}

.meals-showcase li {
    display: block;
    float: left;
    width: 25%;
}

.meals-showcase .meal-photo {
    width: 100%;
    margin: 0;
    overflow: hidden;
    background-color: #000;
}

.meals-showcase .meal-photo img {
    opacity: 0.7;
    width: 100%;
    height: auto;
    transform: scale(120%);
    transition: transform 0.5s;
}

.meals-showcase .meal-photo img:hover {
    opacity: 1;
    transform: scale(103%);
}


/**********************************************
HOW IT WORKS
***********************************************/

.steps {
    background-color: #f4f4f4;
}

.steps .box:first-child {
    text-align: right;
    padding: 0 3% 0 0;
    margin: 30px 0 0 0;
}

.steps .box:last-child {
    padding: 0 0 0 3%;
    margin: 70px 0 0 0;
}

.steps .app-screen {
    width: 40%;
}

.steps .works-step {
    margin: 0 0 50px;
}

.steps .works-step div {
    display: inline-block;
    color: #e67e22;
    border: 2px solid #e67e22;
    border-radius: 50%;
    height: 55px;
    width: 55px;
    text-align: center;
    padding: 5px;
    float: left;
    font-size: 150%;
    margin: 0 25px 0 0;
}

.steps .works-step:last-of-type {
    margin: 0 0 80px 0;
}

.steps .btn-app img {
    height: 50px;
    margin: 0 10px 0 0;
}

.steps .btn-app:link,
.steps .btn-app:visited {
    border: none;
}


/**********************************************
CITIES
***********************************************/

.cities .box .city-photo {
    display: block;
    width: 100%;
    height: auto;
    margin: 0 0 15px 0;
}

.cities .city-feature {
    margin: 0 0 5px 0;
}

/**********************************************
CUSTOMERS
***********************************************/

.customers {
    background-image: -webkit-linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url(img/back-customers.jpg);
    background-image: linear-gradient(rgba(0, 0, 0, 0.8), rgba(0, 0, 0, 0.8)), url(img/back-customers.jpg);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: center;
    color: #fff;
    background-attachment: fixed;
}

.customers blockquote {
    padding: 2%;
    font-style: italic;
    line-height: 145%;
    position: relative;
    margin: 40px 0 0 0;
}

.customers cite {
    font-size: 90%;
    margin: 25px 0 0 0;
}

.customers cite img {
    height: 45px;
    border-radius: 50%;
    margin: 0 10px 0 0;
    vertical-align: middle;
}

.customers blockquote:before {
    content: "\201C";
    font-size: 500%;
    display: block;
    position: absolute;
    top: -5px;
    left: -5px;
}

/**********************************************
PLANS
***********************************************/

.plans {
    background-color: #f4f4f4;
}

.plans .plan-box {
    background-color: #fff;
    border-radius: 5px;
    width: 90%;
    /* dziwna technika środkowania */
    margin-left: 5%;
    box-shadow: 0 2px 2px #efefef;
}

.plans .plan-box div {
    padding: 15px;
    border-bottom: 1px solid #e8e8e8;
}

.plans .plan-box div:first-child {
    background-color: #fcfcfc;
    border-top-left-radius: 5px;
    border-top-right-radius: 5px;
}

.plans .plan-box div:last-child {
    text-align: center;
    border: 0;
}

.plans .plan-price {
    font-size: 300%;
    font-weight: 100;
    margin: 0 0 10px 0;
    color: #e67e22;
}

.plans .plan-price span {
    font-size: 30%;
    font-weight: 300;
}

.plans .plan-price-meal {
    font-size: 80%;
}

.plans .plan-box ul {
    list-style: none;
}

.plans .plan-box ul li {
    padding: 5px 0;
}

/**********************************************
CONTACT
***********************************************/

.contact-form {
    margin: 0 auto;
    width: 60%;
}

input[type=text],
input[type=email],
select,
textarea {
    width: 100%;
    padding: 7px;
    border-radius: 3px;
    border: 1px solid #ccc;
}

textarea {
    height: 100px;
}

input[type=checkbox] {
    margin: 10px 5px 10px 0;
}

*:focus {
    outline: none;
}